Index: src/Actions/FragmentationAction/FragmentationAutomationAction.cpp
===================================================================
--- src/Actions/FragmentationAction/FragmentationAutomationAction.cpp	(revision edecbab733e2e5f7d3ca8b8784d033c00dca3c0d)
+++ src/Actions/FragmentationAction/FragmentationAutomationAction.cpp	(revision edecbab733e2e5f7d3ca8b8784d033c00dca3c0d)
@@ -0,0 +1,353 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/*
+ * FragmentationAutomationAction.cpp
+ *
+ *  Created on: May 18, 2012
+ *      Author: heber
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include <boost/archive/text_iarchive.hpp>
+// boost asio needs specific operator new
+#include <boost/asio.hpp>
+
+#include "CodePatterns/MemDebug.hpp"
+
+#include "CodePatterns/Info.hpp"
+#include "CodePatterns/Log.hpp"
+#include "JobMarket/Controller/FragmentController.hpp"
+#include "JobMarket/Jobs/FragmentJob.hpp"
+
+#include "Atom/atom.hpp"
+#include "Fragmentation/EnergyMatrix.hpp"
+#include "Fragmentation/ForceMatrix.hpp"
+#include "Fragmentation/Fragmentation.hpp"
+#include "Fragmentation/HydrogenSaturation_enum.hpp"
+#include "Fragmentation/KeySetsContainer.hpp"
+#include "Graph/DepthFirstSearchAnalysis.hpp"
+#include "Jobs/MPQCCommandJob.hpp"
+#include "molecule.hpp"
+#include "World.hpp"
+
+#include <iostream>
+#include <string>
+#include <vector>
+
+#include "Actions/FragmentationAction/FragmentationAutomationAction.hpp"
+
+using namespace MoleCuilder;
+
+// and construct the stuff
+#include "FragmentationAutomationAction.def"
+#include "Action_impl_pre.hpp"
+/** =========== define the function ====================== */
+
+class controller_AddOn;
+
+// needs to be defined for using the FragmentController
+controller_AddOn *getAddOn()
+{
+  return NULL;
+}
+
+/** Creates a MPQCCommandJob with argument \a filename.
+ *
+ * @param jobs created job is added to this vector
+ * @param command mpqc command to execute
+ * @param filename filename being argument to job
+ * @param nextid id for this job
+ */
+void parsejob(
+    std::vector<FragmentJob::ptr> &jobs,
+    const std::string &command,
+    const std::string &filename,
+    const JobId_t nextid)
+{
+  std::ifstream file;
+  file.open(filename.c_str());
+  ASSERT( file.good(), "parsejob() - file "+filename+" does not exist.");
+  std::string output((std::istreambuf_iterator<char>(file)),
+      std::istreambuf_iterator<char>());
+  FragmentJob::ptr testJob( new MPQCCommandJob(output, nextid, command) );
+  jobs.push_back(testJob);
+  file.close();
+  LOG(1, "INFO: Added MPQCCommandJob from file "+filename+".");
+}
+
+/** Helper function to get number of atoms somehow.
+ *
+ * Here, we just parse the number of lines in the adjacency file as
+ * it should correspond to the number of atoms, except when some atoms
+ * are not bonded, but then fragmentation makes no sense.
+ *
+ * @param path path to the adjacency file
+ */
+size_t getNoAtomsFromAdjacencyFile(const std::string &path)
+{
+  size_t NoAtoms = 0;
+
+  // parse in special file to get atom count (from line count)
+  std::string filename(path);
+  filename += FRAGMENTPREFIX;
+  filename += ADJACENCYFILE;
+  std::ifstream adjacency(filename.c_str());
+  if (adjacency.fail()) {
+    LOG(0, endl << "getNoAtomsFromAdjacencyFile() - Unable to open " << filename << ", is the directory correct?");
+    return false;
+  }
+  std::string buffer;
+  while (getline(adjacency, buffer))
+    NoAtoms++;
+  LOG(1, "INFO: There are " << NoAtoms << " atoms.");
+
+  return NoAtoms;
+}
+
+
+/** Print MPQCData from received results.
+ *
+ * @param results received results to extract MPQCData from
+ * @param KeySetFilename filename with keysets to associate forces correctly
+ * @param NoAtoms total number of atoms
+ */
+bool printReceivedMPQCResults(
+    const std::vector<FragmentResult::ptr> &results,
+    const std::string &KeySetFilename,
+    size_t NoAtoms)
+{
+  EnergyMatrix Energy;
+  EnergyMatrix EnergyFragments;
+  ForceMatrix Force;
+  ForceMatrix ForceFragments;
+  KeySetsContainer KeySet;
+
+  // align fragments
+  std::map< JobId_t, size_t > MatrixNrLookup;
+  size_t FragmentCounter = 0;
+  {
+    // bring ids in order ...
+    typedef std::map< JobId_t, FragmentResult::ptr> IdResultMap_t;
+    IdResultMap_t IdResultMap;
+    for (std::vector<FragmentResult::ptr>::const_iterator iter = results.begin();
+        iter != results.end(); ++iter) {
+  #ifndef NDEBUG
+      std::pair< IdResultMap_t::iterator, bool> inserter =
+  #endif
+      IdResultMap.insert( make_pair((*iter)->getId(), *iter) );
+      ASSERT( inserter.second,
+          "printReceivedMPQCResults() - two results have same id "
+          +toString((*iter)->getId())+".");
+    }
+    // ... and fill lookup
+    for(IdResultMap_t::const_iterator iter = IdResultMap.begin();
+        iter != IdResultMap.end(); ++iter)
+      MatrixNrLookup.insert( make_pair(iter->first, FragmentCounter++) );
+  }
+  LOG(1, "INFO: There are " << FragmentCounter << " fragments.");
+
+  // extract results
+  std::vector<MPQCData> fragmentData(results.size());
+  MPQCData combinedData;
+
+  LOG(2, "DEBUG: Parsing now through " << results.size() << " results.");
+  for (std::vector<FragmentResult::ptr>::const_iterator iter = results.begin();
+      iter != results.end(); ++iter) {
+    LOG(1, "RESULT: job #"+toString((*iter)->getId())+": "+toString((*iter)->result));
+    MPQCData extractedData;
+    std::stringstream inputstream((*iter)->result);
+    LOG(2, "DEBUG: First 50 characters FragmentResult's string: "+(*iter)->result.substr(0, 50));
+    boost::archive::text_iarchive ia(inputstream);
+    ia >> extractedData;
+    LOG(1, "INFO: extracted data is " << extractedData << ".");
+
+    // place results into EnergyMatrix ...
+    {
+      MatrixContainer::MatrixArray matrix;
+      matrix.resize(1);
+      matrix[0].resize(1, extractedData.energy);
+      if (!Energy.AddMatrix(
+          std::string("MPQCJob ")+toString((*iter)->getId()),
+          matrix,
+          MatrixNrLookup[(*iter)->getId()])) {
+        ELOG(1, "Adding energy matrix failed.");
+        return false;
+      }
+    }
+    // ... and ForceMatrix (with two empty columns in front)
+    {
+      MatrixContainer::MatrixArray matrix;
+      const size_t rows = extractedData.forces.size();
+      matrix.resize(rows);
+      for (size_t i=0;i<rows;++i) {
+        const size_t columns = 2+extractedData.forces[i].size();
+        matrix[i].resize(columns, 0.);
+  //      for (size_t j=0;j<2;++j)
+  //        matrix[i][j] = 0.;
+        for (size_t j=2;j<columns;++j)
+          matrix[i][j] = extractedData.forces[i][j-2];
+      }
+      if (!Force.AddMatrix(
+          std::string("MPQCJob ")+toString((*iter)->getId()),
+          matrix,
+          MatrixNrLookup[(*iter)->getId()])) {
+        ELOG(1, "Adding force matrix failed.");
+        return false;
+      }
+    }
+  }
+  // add one more matrix (not required for energy)
+  MatrixContainer::MatrixArray matrix;
+  matrix.resize(1);
+  matrix[0].resize(1, 0.);
+  if (!Energy.AddMatrix(std::string("MPQCJob total"), matrix, FragmentCounter))
+    return false;
+  // but for energy because we need to know total number of atoms
+  matrix.resize(NoAtoms);
+  for (size_t i = 0; i< NoAtoms; ++i)
+    matrix[i].resize(2+NDIM, 0.);
+  if (!Force.AddMatrix(std::string("MPQCJob total"), matrix, FragmentCounter))
+    return false;
+
+
+  // combine all found data
+  if (!Energy.InitialiseIndices()) return false;
+
+  if (!Force.ParseIndices(KeySetFilename.c_str())) return false;
+
+  if (!KeySet.ParseKeySets(KeySetFilename.c_str(), Force.RowCounter, Force.MatrixCounter)) return false;
+
+  if (!KeySet.ParseManyBodyTerms()) return false;
+
+  if (!EnergyFragments.AllocateMatrix(Energy.Header, Energy.MatrixCounter, Energy.RowCounter, Energy.ColumnCounter)) return false;
+  if (!ForceFragments.AllocateMatrix(Force.Header, Force.MatrixCounter, Force.RowCounter, Force.ColumnCounter)) return false;
+
+  if(!Energy.SetLastMatrix(0., 0)) return false;
+  if(!Force.SetLastMatrix(0., 2)) return false;
+
+  for (int BondOrder=0;BondOrder<KeySet.Order;BondOrder++) {
+    // --------- sum up energy --------------------
+    LOG(1, "INFO: Summing energy of order " << BondOrder+1 << " ...");
+    if (!EnergyFragments.SumSubManyBodyTerms(Energy, KeySet, BondOrder)) return false;
+    if (!Energy.SumSubEnergy(EnergyFragments, NULL, KeySet, BondOrder, 1.)) return false;
+
+    // --------- sum up Forces --------------------
+    LOG(1, "INFO: Summing forces of order " << BondOrder+1 << " ...");
+    if (!ForceFragments.SumSubManyBodyTerms(Force, KeySet, BondOrder)) return false;
+    if (!Force.SumSubForces(ForceFragments, KeySet, BondOrder, 1.)) return false;
+  }
+
+  // for debugging print resulting energy and forces
+  LOG(1, "INFO: Resulting energy is " << Energy.Matrix[ FragmentCounter ][0][0]);
+  std::stringstream output;
+  for (int i=0; i< Force.RowCounter[FragmentCounter]; ++i) {
+    for (int j=0; j< Force.ColumnCounter[FragmentCounter]; ++j)
+      output << Force.Matrix[ FragmentCounter ][i][j] << " ";
+    output << "\n";
+  }
+  LOG(1, "INFO: Resulting forces are " << std::endl << output.str());
+
+  return true;
+}
+
+Action::state_ptr FragmentationFragmentationAutomationAction::performCall() {
+  boost::asio::io_service io_service;
+  FragmentController controller(io_service);
+
+  // TODO: Have io_service run in second thread and merge with current again eventually
+
+  // Phase One: obtain ids
+  controller.requestIds(params.host, params.port, params.jobfiles.size());
+  {
+    io_service.reset();
+    Info info("io_service: Phase One");
+    io_service.run();
+  }
+  // Phase Two: create and add jobs
+  {
+    std::vector<FragmentJob::ptr> jobs;
+    for (std::vector< boost::filesystem::path >::const_iterator iter = params.jobfiles.begin();
+        iter != params.jobfiles.end(); ++iter) {
+      const std::string &filename = (*iter).string();
+      if (boost::filesystem::exists(filename)) {
+        const JobId_t next_id = controller.getAvailableId();
+        LOG(1, "INFO: Creating MPQCCommandJob with filename'"
+            +filename+"', and id "+toString(next_id)+".");
+        parsejob(jobs, params.executable.string(), filename, next_id);
+      } else {
+        ELOG(1, "Fragment job "+filename+" does not exist.");
+        return Action::failure;
+      }
+    }
+    controller.addJobs(jobs);
+    controller.sendJobs(params.host, params.port);
+  }
+  {
+    io_service.reset();
+    Info info("io_service: Phase Two");
+    io_service.run();
+  }
+  // Phase Three: calculate result
+  size_t NoCalculatedResults = 0;
+  while (NoCalculatedResults != params.jobfiles.size()) {
+    // wait a bit
+    boost::asio::deadline_timer timer(io_service);
+    timer.expires_from_now(boost::posix_time::milliseconds(500));
+    timer.wait();
+    // then request status
+    controller.checkResults(params.host, params.port);
+    {
+      io_service.reset();
+      Info info("io_service: Phase Three");
+      io_service.run();
+    }
+    const std::pair<size_t, size_t> JobStatus = controller.getJobStatus();
+    LOG(1, "INFO: #" << JobStatus.first << " are waiting in the queue and #" << JobStatus.second << " jobs are calculated so far.");
+    NoCalculatedResults = JobStatus.second;
+  }
+  // Phase Three: get result
+  controller.receiveResults(params.host, params.port);
+  {
+    io_service.reset();
+    Info info("io_service: Phase Four");
+    io_service.run();
+  }
+  // Final phase: print result
+  {
+    LOG(1, "INFO: Parsing fragment files from " << params.path << ".");
+    std::vector<FragmentResult::ptr> results = controller.getReceivedResults();
+    printReceivedMPQCResults(
+        results,
+        params.path,
+        getNoAtomsFromAdjacencyFile(params.path));
+  }
+  size_t Exitflag = controller.getExitflag();
+
+  return (Exitflag == 0) ? Action::success : Action::failure;
+}
+
+Action::state_ptr FragmentationFragmentationAutomationAction::performUndo(Action::state_ptr _state) {
+  return Action::success;
+}
+
+Action::state_ptr FragmentationFragmentationAutomationAction::performRedo(Action::state_ptr _state){
+  return Action::success;
+}
+
+bool FragmentationFragmentationAutomationAction::canUndo() {
+  return false;
+}
+
+bool FragmentationFragmentationAutomationAction::shouldUndo() {
+  return false;
+}
+/** =========== end of function ====================== */
Index: src/Actions/FragmentationAction/FragmentationAutomationAction.def
===================================================================
--- src/Actions/FragmentationAction/FragmentationAutomationAction.def	(revision edecbab733e2e5f7d3ca8b8784d033c00dca3c0d)
+++ src/Actions/FragmentationAction/FragmentationAutomationAction.def	(revision edecbab733e2e5f7d3ca8b8784d033c00dca3c0d)
@@ -0,0 +1,35 @@
+/*
+ * FragmentationAutomationAction.def
+ *
+ *  Created on: May 18, 2012
+ *      Author: heber
+ */
+
+// all includes and forward declarations necessary for non-integral types below
+#include <boost/filesystem/path.hpp>
+#include <string>
+#include <vector>
+
+// i.e. there is an integer with variable name Z that can be found in
+// ValueStorage by the token "Z" -> first column: int, Z, "Z"
+// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
+#define paramtypes (std::vector< boost::filesystem::path >)(std::string)(std::string)(std::string)(boost::filesystem::path)
+#define paramtokens ("fragment-jobs")("fragment-path")("server-address")("server-port")("fragment-executable")
+#define paramdescriptions ("vector of fragment files")("prefix of each fragment file")("hostname of server")("controller port of server")("executable to launch on clients")
+#define paramdefaults (NODEFAULT)(NODEFAULT)("127.0.0.1")("1026")(NODEFAULT)
+#define paramreferences (jobfiles)(path)(host)(port)(executable)
+
+#undef statetypes
+#undef statereferences
+
+// some defines for all the names, you may use ACTION, STATE and PARAMS
+#define CATEGORY Fragmentation
+#define MENUNAME "fragmentation"
+#define MENUPOSITION 3
+#define ACTIONNAME FragmentationAutomation
+#define TOKEN "fragment-automation"
+
+
+// finally the information stored in the ActionTrait specialization
+#define DESCRIPTION "calculates each fragment by using a server with a client pool"
+#undef SHORTFORM
Index: src/Actions/FragmentationAction/FragmentationAutomationAction.hpp
===================================================================
--- src/Actions/FragmentationAction/FragmentationAutomationAction.hpp	(revision edecbab733e2e5f7d3ca8b8784d033c00dca3c0d)
+++ src/Actions/FragmentationAction/FragmentationAutomationAction.hpp	(revision edecbab733e2e5f7d3ca8b8784d033c00dca3c0d)
@@ -0,0 +1,22 @@
+/*
+ * FragmentationAutomationAction.hpp
+ *
+ *  Created on: May 18, 2012
+ *      Author: heber
+ */
+
+#ifndef FRAGMENTATIONAUTOMATIONACTION_HPP_
+#define FRAGMENTATIONAUTOMATIONACTION_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+
+#include "Actions/Action.hpp"
+
+#include "FragmentationAutomationAction.def"
+#include "Action_impl_header.hpp"
+
+#endif /* FRAGMENTATIONAUTOMATIONACTION_HPP_ */
Index: src/Actions/GlobalListOfActions.hpp
===================================================================
--- src/Actions/GlobalListOfActions.hpp	(revision 103eb8b758b1d67aaeaf2e52f87bfbba00a58174)
+++ src/Actions/GlobalListOfActions.hpp	(revision edecbab733e2e5f7d3ca8b8784d033c00dca3c0d)
@@ -110,4 +110,5 @@
 	(SelectionAtomByOrder) \
 	(FragmentationFragmentation) \
+  (FragmentationFragmentationAutomation) \
 	(FillRegularGrid) \
 	(FillSphericalSurface)
Index: src/Actions/Makefile.am
===================================================================
--- src/Actions/Makefile.am	(revision 103eb8b758b1d67aaeaf2e52f87bfbba00a58174)
+++ src/Actions/Makefile.am	(revision edecbab733e2e5f7d3ca8b8784d033c00dca3c0d)
@@ -191,9 +191,12 @@
 
 FRAGMENTATIONACTIONSOURCE = \
-  Actions/FragmentationAction/FragmentationAction.cpp
+  Actions/FragmentationAction/FragmentationAction.cpp \
+  Actions/FragmentationAction/FragmentationAutomationAction.cpp
 FRAGMENTATIONACTIONHEADER = \
-  Actions/FragmentationAction/FragmentationAction.hpp
+  Actions/FragmentationAction/FragmentationAction.hpp \
+  Actions/FragmentationAction/FragmentationAutomationAction.hpp
 FRAGMENTATIONACTIONDEFS = \
-  Actions/FragmentationAction/FragmentationAction.def
+  Actions/FragmentationAction/FragmentationAction.def \
+  Actions/FragmentationAction/FragmentationAutomationAction.def
 
 GRAPHACTIONSOURCE = \
Index: src/UIElements/Makefile.am
===================================================================
--- src/UIElements/Makefile.am	(revision 103eb8b758b1d67aaeaf2e52f87bfbba00a58174)
+++ src/UIElements/Makefile.am	(revision edecbab733e2e5f7d3ca8b8784d033c00dca3c0d)
@@ -280,6 +280,8 @@
 	libMolecuilderHelpers.la \
 	libMolecuilderElement.la \
+	libMolecuilderJobs.la \
 	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
 	libMolecuilderRandomNumbers.la \
+	$(top_builddir)/JobMarket/src/JobMarket/libJobMarketController.la \
 	$(top_builddir)/JobMarket/src/JobMarket/libJobMarket.la \
 	${CodePatterns_LIBS} \
Index: tests/Python/AllActions/options.dat
===================================================================
--- tests/Python/AllActions/options.dat	(revision 103eb8b758b1d67aaeaf2e52f87bfbba00a58174)
+++ tests/Python/AllActions/options.dat	(revision edecbab733e2e5f7d3ca8b8784d033c00dca3c0d)
@@ -70,5 +70,8 @@
 fill-void	"water.data"
 fill-void	"water.xyz"
+fragment-executable	"mpqc"
+fragment-jobs	"Job00.in"
 fragment-molecule	"./"
+fragment-path	"test/"
 id-mapping	"1"
 input	"test.data"
@@ -160,4 +163,6 @@
 select-molecules-by-formula	"H2O"
 select-molecules-by-name	"water"
+server-address	"127.0.0.1"
+server-port	"1026"
 set-boundary-conditions	"Wrap, Wrap, Wrap"
 set-parser-parameters	"basis = 4-31G"
Index: tests/regression/Fragmentation/Automation/testsuite-fragmentation-automation-molecuilderrun.at
===================================================================
--- tests/regression/Fragmentation/Automation/testsuite-fragmentation-automation-molecuilderrun.at	(revision edecbab733e2e5f7d3ca8b8784d033c00dca3c0d)
+++ tests/regression/Fragmentation/Automation/testsuite-fragmentation-automation-molecuilderrun.at	(revision edecbab733e2e5f7d3ca8b8784d033c00dca3c0d)
@@ -0,0 +1,45 @@
+### fragment the molecule and check the number of configs
+
+AT_SETUP([Fragmentation - Automation: MoleCuilder Action])
+AT_KEYWORDS([fragmentation automation molecuilder server worker])
+
+# check that ports are unique over all tests such that they may run in parallel
+WORKERPORT=1065
+CONTROLLERPORT=1066
+WORKERLISTENPORT=1067
+
+# create job files for stand-in mpqc
+i=0
+while test -e ${abs_top_srcdir}/tests/regression/Fragmentation/Automation/pre/BondFragment`printf %02d $i`.out; do
+  nr=`printf %02d $i`
+  echo "Creating Job${nr}.in"
+  echo "${abs_top_srcdir}/tests/regression/Fragmentation/Automation/pre/BondFragment${nr}.out" >Job${nr}.in
+  ((i+=1))
+done
+
+# start service in background
+${AUTOTEST_PATH}/Server --workerport $WORKERPORT --controllerport $CONTROLLERPORT &
+server_pid=$!
+AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $server_pid])
+
+# enlist a worker to work on jobs
+${AUTOTEST_PATH}/PoolWorker -v 5 --signal 2 --server 127.0.0.1:${WORKERPORT} --hostname 127.0.0.1 --listen $WORKERLISTENPORT &
+worker_pid=$!
+AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
+
+# use molecuilder to add jobs, wait for their completion and obtain results
+AT_CHECK([../../molecuilder -v 3 --fragment-automation --fragment-executable "../../mpqc" --fragment-path "${abs_top_srcdir}/tests/regression/Fragmentation/Automation/pre/" --fragment-jobs Job??.in --server-address 127.0.0.1 --server-port $CONTROLLERPORT], 0, [stdout], [ignore])
+AT_CHECK([fgrep "There are 7 fragments" stdout], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
+AT_CHECK([fgrep "There are 23 atoms" stdout], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
+AT_CHECK([fgrep "Resulting energy is -279.837" stdout], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
+AT_CHECK([fgrep "Resulting forces are" stdout], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
+
+# removeall to remove workers, then shutdown for server itself
+AT_CHECK([${AUTOTEST_PATH}/Controller --server 127.0.0.1:$CONTROLLERPORT --command removeall], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
+AT_CHECK([${AUTOTEST_PATH}/Controller --server 127.0.0.1:$CONTROLLERPORT --command shutdown], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
+
+# check that server is truely down
+AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
+AT_CHECK([kill $server_pid $worker_pid], 1, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/regression/Fragmentation/testsuite-fragmentation.at
===================================================================
--- tests/regression/Fragmentation/testsuite-fragmentation.at	(revision 103eb8b758b1d67aaeaf2e52f87bfbba00a58174)
+++ tests/regression/Fragmentation/testsuite-fragmentation.at	(revision edecbab733e2e5f7d3ca8b8784d033c00dca3c0d)
@@ -12,2 +12,5 @@
 # check whether mpqc jobs work
 m4_include([Fragmentation/Automation/testsuite-fragmentation-automation-mpqc-jobs.at])
+
+# check whether molecuilder may act as controller
+m4_include([Fragmentation/Automation/testsuite-fragmentation-automation-molecuilderrun.at])
Index: tests/regression/Makefile.am
===================================================================
--- tests/regression/Makefile.am	(revision 103eb8b758b1d67aaeaf2e52f87bfbba00a58174)
+++ tests/regression/Makefile.am	(revision edecbab733e2e5f7d3ca8b8784d033c00dca3c0d)
@@ -75,4 +75,5 @@
 	$(srcdir)/Filling/SuspendInWater/testsuite-suspend-in-water.at \
 	$(srcdir)/Fragmentation/testsuite-fragmentation.at \
+	$(srcdir)/Fragmentation/Automation/testsuite-fragmentation-automation-molecuilderrun.at \
 	$(srcdir)/Fragmentation/Automation/testsuite-fragmentation-automation-mpqc-jobs.at \
 	$(srcdir)/Fragmentation/Automation/testsuite-fragmentation-automation-stand-in-mpqc.at \
